﻿Imports Telerik.WinControls.UI

Public Class Form1
    Public Sub New()

        InitializeComponent()

        Me.RadGridView1.Rows.Clear()

        Dim ID As New GridViewDecimalColumn()
        ID.Name = "ID"
        ID.HeaderText = "Id"
        RadGridView1.MasterTemplate.Columns.Add(ID)

        Dim Name As New GridViewTextBoxColumn()
        Name.Name = "Name"
        Name.HeaderText = "Name"
        Name.Width = 100
        RadGridView1.MasterTemplate.Columns.Add(Name)

        Dim Under_Appeal As New GridViewCheckBoxColumn()
        Under_Appeal.DataType = GetType(Boolean)
        Under_Appeal.Name = "Under_Appeal"
        Under_Appeal.HeaderText = "Under Appeal"
        RadGridView1.MasterTemplate.Columns.Add(Under_Appeal)

        Dim Terminated As New GridViewCheckBoxColumn()
        Terminated.DataType = GetType(Boolean)
        Terminated.Name = "Terminated"
        Terminated.HeaderText = "Terminated"
        RadGridView1.MasterTemplate.Columns.Add(Terminated)

        Dim Hash As New GridViewDecimalColumn()
        Hash.Name = "Hash"
        Hash.HeaderText = "#"
        RadGridView1.MasterTemplate.Columns.Add(Hash)

        RadGridView1.Rows.Add(1, "John", True, True)

        RadGridView1.Rows.Add(2, "Mary", True, False)

        RadGridView1.Rows.Add(3, "Peter", False, True)

        Dim template As New GridViewTemplate
        template.Columns.Add(New GridViewDecimalColumn("ParentID"))
        template.Columns.Add(New GridViewTextBoxColumn("TEXT"))
        template.Columns.Add(New GridViewDecimalColumn("PRICE"))

        RadGridView1.MasterTemplate.Templates.Add(template)

        Dim relation As New GridViewRelation(RadGridView1.MasterTemplate)
        relation.ChildTemplate = template
        relation.RelationName = "PersonProduct"
        relation.ParentColumnNames.Add("ID")
        relation.ChildColumnNames.Add("ParentID")
        RadGridView1.Relations.Add(relation)

        template.Rows.Add(1, "sugar", 2.0)
        template.Rows.Add(1, "cake", 12.0)
        template.Rows.Add(1, "butter", 3.0)
        template.Rows.Add(2, "cake", 12.0)

    End Sub
End Class
